function w = get_weights(L, Z)
%GET_WEIGHTS Get intensity weights.
%
% Input:
%   L [1x1 double] Number of intensity levels.
%   Z [any double] Intensities from [0, L-1].
%
% Output:
%   w [size(Z) double] Intensity weights.
%

w = interp1([0 (L-1)/2 L-1], [0 1 0], Z);

end
